Index: code/branches/input/src/orxonox/GraphicsEngine.cc
===================================================================
--- code/branches/input/src/orxonox/GraphicsEngine.cc	(revision 975)
+++ code/branches/input/src/orxonox/GraphicsEngine.cc	(revision 1022)
@@ -76,6 +76,6 @@
   void GraphicsEngine::setConfigValues()
   {
-    SetConfigValue(dataPath_, dataPath_).description("relative path to media data");
-    SetConfigValue(ogreLogfile_, "ogre.log").description("Logfile for messages from Ogre. Use to \"\" to suppress log file creation.");
+    SetConfigValue(dataPath_, "../../media/").description("relative path to media data");
+    SetConfigValue(ogreLogfile_, "ogre.log").description("Logfile for messages from Ogre. Use \"\" to suppress log file creation.");
     SetConfigValue(ogreLogLevelTrivial_ , 5).description("relative path to media data");
     SetConfigValue(ogreLogLevelNormal_  , 4).description("relative path to media data");
@@ -139,5 +139,5 @@
     // temporary overwrite of dataPath, change ini file for permanent change
     if( dataPath != "" )
-      dataPath_ = dataPath;
+      dataPath_ = dataPath + "/";
     loadRessourceLocations(this->dataPath_);
     if (!root_->restoreConfig() && !root_->showConfigDialog())
Index: code/branches/input/src/orxonox/Orxonox.cc
===================================================================
--- code/branches/input/src/orxonox/Orxonox.cc	(revision 975)
+++ code/branches/input/src/orxonox/Orxonox.cc	(revision 1022)
@@ -147,6 +147,4 @@
       singletonRef_s = new Orxonox();
     return singletonRef_s;
-    //static Orxonox theOnlyInstance;
-    //return &theOnlyInstance;
   }
 
@@ -331,4 +329,5 @@
           ogre_->getWindowWidth(), ogre_->getWindowHeight()))
       abortImmediate();
+    inputHandler_->setInputMode(IM_INGAME);
   }
 
Index: code/branches/input/src/orxonox/OrxonoxPlatform.h
===================================================================
--- code/branches/input/src/orxonox/OrxonoxPlatform.h	(revision 975)
+++ code/branches/input/src/orxonox/OrxonoxPlatform.h	(revision 1022)
@@ -190,7 +190,8 @@
 
 // Integer formats of fixed bit width
-typedef unsigned int uint32;
+// FIXME: consider 64 bit platforms!
+/*typedef unsigned int uint32;
 typedef unsigned short uint16;
-typedef unsigned char uint8;
+typedef unsigned char uint8;*/
 
 #ifdef ORXONOX_DOUBLE_PRECISION
Index: code/branches/input/src/orxonox/core/InputEventListener.cc
===================================================================
--- code/branches/input/src/orxonox/core/InputEventListener.cc	(revision 975)
+++ code/branches/input/src/orxonox/core/InputEventListener.cc	(revision 1022)
@@ -22,5 +22,5 @@
  *      Reto Grieder
  *   Co-authors:
- *      Some guy writing the example code from Ogre
+ *      ...
  *
  */
Index: code/branches/input/src/orxonox/core/InputEventListener.h
===================================================================
--- code/branches/input/src/orxonox/core/InputEventListener.h	(revision 975)
+++ code/branches/input/src/orxonox/core/InputEventListener.h	(revision 1022)
@@ -46,5 +46,5 @@
   class _CoreExport InputEventListener : virtual public OrxonoxClass
   {
-    friend class InputManager;
+    friend class InputHandlerGame;
   public:
     InputEventListener();
Index: code/branches/input/src/orxonox/core/InputHandler.cc
===================================================================
--- code/branches/input/src/orxonox/core/InputHandler.cc	(revision 975)
+++ code/branches/input/src/orxonox/core/InputHandler.cc	(revision 1022)
@@ -31,4 +31,8 @@
  */
 
+#include "Debug.h"
+#include "util/Convert.h"
+#include "InputEventListener.h"
+#include "InputEvent.h"
 #include "InputHandler.h"
 
@@ -54,4 +58,19 @@
 
   /**
+    @brief Loads the key bindings from the ini file.
+    Currently, this is just a simple test routine that fills the list with numbers.
+  */
+  bool InputHandlerGame::loadBindings()
+  {
+    for (int i = 0; i < numberOfKeys_s; i++)
+    {
+      // simply write the key number (i) in the string
+      this->bindingsKeyPressed_[i] = ConvertValueAndReturn<int, std::string>(i);
+      this->bindingsKeyReleased_[i] = ConvertValueAndReturn<int, std::string>(i);
+    }
+    return true;
+  }
+
+  /**
     @brief Event handler for the keyPressed Event.
     @param e Event information
@@ -59,4 +78,15 @@
   bool InputHandlerGame::keyPressed(const OIS::KeyEvent &e)
   {
+    if (e.key == OIS::KC_ESCAPE)
+    {
+      InputEvent e = {1, true, 0, 0, 0};
+      InputHandlerGame::callListeners(e);
+    }
+    else
+    {
+      // find the appropriate key binding
+      std::string cmdStr = bindingsKeyPressed_[int(e.key)];
+      //COUT(3) << cmdStr << " pressed" << std::endl;
+    }
     return true;
   }
@@ -68,4 +98,7 @@
   bool InputHandlerGame::keyReleased(const OIS::KeyEvent &e)
   {
+    // find the appropriate key binding
+    std::string cmdStr = bindingsKeyReleased_[int(e.key)];
+    //COUT(3) << cmdStr << " released" << std::endl;
     return true;
   }
@@ -100,4 +133,20 @@
   }
 
+  /**
+    @brief Calls all the objects from classes that derive from InputEventListener.
+    @param evt The input event that occured.
+  */
+  inline void InputHandlerGame::callListeners(orxonox::InputEvent &evt)
+  {
+    for (Iterator<InputEventListener> it = ObjectList<InputEventListener>::start(); it; )
+    {
+      if (it->bActive_)
+        (it++)->eventOccured(evt);
+      else
+        it++;
+    }
+  }
+
+
   // ###############################
   // ###     InputHandlerGUI     ###
@@ -124,4 +173,6 @@
   bool InputHandlerGUI::keyPressed(const OIS::KeyEvent &e)
   {
+		//CEGUI::System::getSingleton().injectKeyDown( arg.key );
+		//CEGUI::System::getSingleton().injectChar( arg.text );
     return true;
   }
@@ -133,4 +184,5 @@
   bool InputHandlerGUI::keyReleased(const OIS::KeyEvent &e)
   {
+		//CEGUI::System::getSingleton().injectKeyUp( arg.key );
     return true;
   }
@@ -142,4 +194,5 @@
   bool InputHandlerGUI::mouseMoved(const OIS::MouseEvent &e)
   {
+		//CEGUI::System::getSingleton().injectMouseMove( arg.state.X.rel, arg.state.Y.rel );
     return true;
   }
@@ -152,4 +205,5 @@
   bool InputHandlerGUI::mousePressed(const OIS::MouseEvent &e, OIS::MouseButtonID id)
   {
+		//CEGUI::System::getSingleton().injectMouseButtonDown(convertOISMouseButtonToCegui(id));
     return true;
   }
@@ -162,4 +216,5 @@
   bool InputHandlerGUI::mouseReleased(const OIS::MouseEvent &e, OIS::MouseButtonID id)
   {
+		//CEGUI::System::getSingleton().injectMouseButtonUp(convertOISMouseButtonToCegui(id));
     return true;
   }
Index: code/branches/input/src/orxonox/core/InputHandler.h
===================================================================
--- code/branches/input/src/orxonox/core/InputHandler.h	(revision 975)
+++ code/branches/input/src/orxonox/core/InputHandler.h	(revision 1022)
@@ -28,5 +28,5 @@
 /**
  @file
- @brief Different implementations of input processing.
+ @brief Different definitions of input processing.
  */
 
@@ -34,10 +34,56 @@
 #define _InputHandler_H__
 
+#include <string>
+
 #include <OIS/OIS.h>
 
 #include "CorePrereqs.h"
+#include "InputEvent.h"
 
 namespace orxonox
 {
+  /**
+    @brief Captures mouse and keyboard input while in the actual game mode.
+    Manages the key bindings.
+  */
+  class _CoreExport InputHandlerGame
+        : public OIS::KeyListener, public OIS::MouseListener
+  {
+  public:
+    InputHandlerGame ();
+    ~InputHandlerGame();
+
+    bool loadBindings();
+
+  private:
+    // input events
+		bool mousePressed (const OIS::MouseEvent &arg, OIS::MouseButtonID id);
+		bool mouseReleased(const OIS::MouseEvent &arg, OIS::MouseButtonID id);
+    bool mouseMoved   (const OIS::MouseEvent &arg);
+		bool keyPressed   (const OIS::KeyEvent   &arg);
+		bool keyReleased  (const OIS::KeyEvent   &arg);
+
+    // temporary hack
+    void callListeners(InputEvent &evt);
+
+    /** denotes the maximum number of different keys there are in OIS.
+        256 should be ok since the highest number in the enum is 237. */
+    static const int numberOfKeys_s = 256;
+    //! Array of input events for every pressed key
+    std::string bindingsKeyPressed_[numberOfKeys_s];
+    //! Array of input events for every released key
+    std::string bindingsKeyReleased_[numberOfKeys_s];
+
+    /** denotes the maximum number of different buttons there are in OIS.
+        16 should be ok since the highest number in the enum is 7. */
+    static const int numberOfButtons_s = 16;
+    //! Array of input events for every pressed key
+    std::string bindingsButtonPressed_[numberOfButtons_s];
+    //! Array of input events for every released key
+    std::string bindingsButtonReleased_[numberOfButtons_s];
+
+  };
+
+
   /**
     @brief Captures mouse and keyboard input and distributes it to the
@@ -60,25 +106,4 @@
   };
 
-
-  /**
-    @brief Captures mouse and keyboard input while in the actual game mode.
-    Manages the key bindings.
-  */
-  class _CoreExport InputHandlerGame
-        : public OIS::KeyListener, public OIS::MouseListener
-  {
-  public:
-    InputHandlerGame ();
-    ~InputHandlerGame();
-
-  private:
-    // input events
-		bool mousePressed (const OIS::MouseEvent &arg, OIS::MouseButtonID id);
-		bool mouseReleased(const OIS::MouseEvent &arg, OIS::MouseButtonID id);
-    bool mouseMoved   (const OIS::MouseEvent &arg);
-		bool keyPressed   (const OIS::KeyEvent   &arg);
-		bool keyReleased  (const OIS::KeyEvent   &arg);
-  };
-
 }
 
Index: code/branches/input/src/orxonox/core/InputManager.cc
===================================================================
--- code/branches/input/src/orxonox/core/InputManager.cc	(revision 975)
+++ code/branches/input/src/orxonox/core/InputManager.cc	(revision 1022)
@@ -35,4 +35,5 @@
 #include "core/Debug.h"
 #include "InputEventListener.h"
+#include "InputHandler.h"
 #include "InputManager.h"
 
@@ -48,5 +49,7 @@
   */
   InputManager::InputManager() :
-      mouse_(0), keyboard_(0), inputSystem_(0)
+      mouse_(0), keyboard_(0), inputSystem_(0),
+      currentMode_(IM_UNINIT), setMode_(IM_UNINIT),
+      handlerGUI_(0), handlerGame_(0), handlerBuffer_(0)
   {
   }
@@ -102,10 +105,8 @@
         // create a keyboard. If none are available the exception is caught.
         keyboard_ = static_cast<OIS::Keyboard*>(inputSystem_->createInputObject(OIS::OISKeyboard, true));
-        keyboard_->setEventCallback(this);
         COUT(ORX_DEBUG) << "*** InputManager: Created OIS mouse" << std::endl;
 
         // create a mouse. If none are available the exception is caught.
         mouse_ = static_cast<OIS::Mouse*>(inputSystem_->createInputObject(OIS::OISMouse, true));
-        mouse_->setEventCallback(this);
         COUT(ORX_DEBUG) << "*** InputManager: Created OIS keyboard" << std::endl;
 
@@ -122,5 +123,10 @@
     }
 
-    COUT(ORX_DEBUG) << "*** InputManager: Loading key bindings..." << std::endl;
+    // create the handlers
+    this->handlerGUI_ = new InputHandlerGUI();
+    this->handlerGame_ = new InputHandlerGame();
+    this->handlerGame_->loadBindings();
+
+    /*COUT(ORX_DEBUG) << "*** InputManager: Loading key bindings..." << std::endl;
     // load the key bindings
     InputEvent empty = {0, false, 0, 0, 0};
@@ -130,5 +136,5 @@
     //assign 'abort' to the escape key
     this->bindingsKeyPressed_[(int)OIS::KC_ESCAPE].id = 1;
-    COUT(ORX_DEBUG) << "*** InputManager: Loading done." << std::endl;
+    COUT(ORX_DEBUG) << "*** InputManager: Loading done." << std::endl;*/
 
     return true;
@@ -170,5 +176,29 @@
   void InputManager::tick(float dt)
   {
-    //this->mouse_->setEventCallback(this);
+    // reset the game if it has changed
+    if (this->currentMode_ != this->setMode_)
+    {
+      switch (this->setMode_)
+      {
+      case IM_GUI:
+        this->mouse_->setEventCallback(this->handlerGUI_);
+        this->keyboard_->setEventCallback(this->handlerGUI_);
+        break;
+      case IM_INGAME:
+        this->mouse_->setEventCallback(this->handlerGame_);
+        this->keyboard_->setEventCallback(this->handlerGame_);
+        break;
+      case IM_KEYBOARD:
+        this->mouse_->setEventCallback(this->handlerGame_);
+        this->keyboard_->setEventCallback(this->handlerBuffer_);
+        break;
+      case IM_UNINIT:
+        this->mouse_->setEventCallback(0);
+        this->keyboard_->setEventCallback(0);
+        break;
+      }
+      this->currentMode_ = this->setMode_;
+    }
+
     // capture all the input. That calls the event handlers.
     if (mouse_)
@@ -194,65 +224,20 @@
 
   /**
-    @brief Calls all the objects from classes that derive from InputEventListener.
-    @param evt The input event that occured.
-  */
-  inline void InputManager::callListeners(orxonox::InputEvent &evt)
-  {
-    for (Iterator<InputEventListener> it = ObjectList<InputEventListener>::start(); it; )
-    {
-      if (it->bActive_)
-        (it++)->eventOccured(evt);
-      else
-        it++;
-    }
-  }
-
-  /**
-    @brief Event handler for the keyPressed Event.
-    @param e Event information
-  */
-  bool InputManager::keyPressed(const OIS::KeyEvent &e)
-  {
-    callListeners(this->bindingsKeyPressed_[(int)e.key]);
-    return true;
-  }
-
-  /**
-    @brief Event handler for the keyReleased Event.
-    @param e Event information
-  */
-  bool InputManager::keyReleased(const OIS::KeyEvent &e)
-  {
-    return true;
-  }
-
-  /**
-    @brief Event handler for the mouseMoved Event.
-    @param e Event information
-  */
-  bool InputManager::mouseMoved(const OIS::MouseEvent &e)
-  {
-    return true;
-  }
-
-  /**
-    @brief Event handler for the mousePressed Event.
-    @param e Event information
-    @param id The ID of the mouse button
-  */
-  bool InputManager::mousePressed(const OIS::MouseEvent &e, OIS::MouseButtonID id)
-  {
-    COUT(1) << "asdf" << std::endl;
-    return true;
-  }
-
-  /**
-    @brief Event handler for the mouseReleased Event.
-    @param e Event information
-    @param id The ID of the mouse button
-  */
-  bool InputManager::mouseReleased(const OIS::MouseEvent &e, OIS::MouseButtonID id)
-  {
-    return true;
+    @brief Sets the input mode to either GUI, inGame or Buffer
+    @param mode The new input mode
+    @remark Only has an affect if the mode actually changes
+  */
+  void InputManager::setInputMode(InputMode mode)
+  {
+    this->setMode_ = mode;
+  }
+
+  /**
+    @brief Returns the current input handling method
+    @return The current input mode.
+  */
+  InputMode InputManager::getInputMode()
+  {
+    return this->currentMode_;
   }
 
Index: code/branches/input/src/orxonox/core/InputManager.h
===================================================================
--- code/branches/input/src/orxonox/core/InputManager.h	(revision 975)
+++ code/branches/input/src/orxonox/core/InputManager.h	(revision 1022)
@@ -54,4 +54,5 @@
     IM_KEYBOARD = 1,
     IM_INGAME   = 2,
+    IM_UNINIT   = 3,
   };
 
@@ -62,5 +63,5 @@
   */
   class _CoreExport InputManager
-        : public Tickable, public OIS::KeyListener, public OIS::MouseListener
+        : public Tickable
   {
   public:
@@ -69,4 +70,6 @@
     void tick(float dt);
     void setWindowExtents(int width, int height);
+    void setInputMode(InputMode mode);
+    InputMode getInputMode();
 
     // Temporary solutions. Will be removed soon!
@@ -84,32 +87,14 @@
     ~InputManager();
 
-    void callListeners(InputEvent &evt);
-
-    // input events
-		bool mousePressed (const OIS::MouseEvent &arg, OIS::MouseButtonID id);
-		bool mouseReleased(const OIS::MouseEvent &arg, OIS::MouseButtonID id);
-    bool mouseMoved   (const OIS::MouseEvent &arg);
-		bool keyPressed   (const OIS::KeyEvent   &arg);
-		bool keyReleased  (const OIS::KeyEvent   &arg);
-
     OIS::InputManager *inputSystem_;    //!< OIS input manager
     OIS::Keyboard     *keyboard_;       //!< OIS mouse
     OIS::Mouse        *mouse_;          //!< OIS keyboard
 
-    /** denotes the maximum number of different keys there are in OIS.
-        256 should be ok since the highest number in the enum is 237. */
-    static const int numberOfKeys_ = 256;
-    //! Array of input events for every pressed key
-    InputEvent bindingsKeyPressed_[numberOfKeys_];
-    //! Array of input events for every released key
-    InputEvent bindingsKeyReleased_[numberOfKeys_];
-
-    /** denotes the maximum number of different buttons there are in OIS.
-        16 should be ok since the highest number in the enum is 7. */
-    static const int numberOfButtons_ = 16;
-    //! Array of input events for every pressed key
-    InputEvent bindingsButtonPressed_[numberOfButtons_];
-    //! Array of input events for every released key
-    InputEvent bindingsButtonReleased_[numberOfButtons_];
+    InputMode          currentMode_;    //!< Input mode currently used
+    InputMode          setMode_;        //!< Input mode that has been set lately
+    InputHandlerGUI   *handlerGUI_;     //!< Handles the input if in GUI mode
+    // FIXME: insert the InputBuffer once merged with core2
+    InputHandlerGUI   *handlerBuffer_;  //!< Handles the input if in Buffer mode
+    InputHandlerGame  *handlerGame_;    //!< Handles the input if in Game mode
 
     //! Pointer to the instance of the singleton
Index: code/branches/input/src/orxonox/objects/Fighter.cc
===================================================================
--- code/branches/input/src/orxonox/objects/Fighter.cc	(revision 975)
+++ code/branches/input/src/orxonox/objects/Fighter.cc	(revision 1022)
@@ -267,6 +267,6 @@
         OIS::Mouse* mMouse = InputManager::getSingleton()->getMouse();
 
-        mKeyboard->capture();
-        mMouse->capture();
+        //mKeyboard->capture();
+        //mMouse->capture();
 
         if (leftButtonPressed_)
Index: code/branches/input/src/orxonox/objects/SpaceShip.cc
===================================================================
--- code/branches/input/src/orxonox/objects/SpaceShip.cc	(revision 975)
+++ code/branches/input/src/orxonox/objects/SpaceShip.cc	(revision 1022)
@@ -417,5 +417,5 @@
     void SpaceShip::tick(float dt)
     {
-        if (!this->setMouseEventCallback_)
+      if (InputManager::getSingleton()->getMouse()->getEventCallback() != this)
         {
             if (InputManager::getSingleton()->getMouse())
@@ -448,7 +448,4 @@
         OIS::Keyboard* mKeyboard = InputManager::getSingleton()->getKeyboard();
         OIS::Mouse* mMouse = InputManager::getSingleton()->getMouse();
-
-        mKeyboard->capture();
-        mMouse->capture();
 
 
Index: code/branches/input/visual_studio/base_properties_release.vsprops
===================================================================
--- code/branches/input/visual_studio/base_properties_release.vsprops	(revision 975)
+++ code/branches/input/visual_studio/base_properties_release.vsprops	(revision 1022)
@@ -12,5 +12,5 @@
 		PreprocessorDefinitions="NDEBUG"
 		RuntimeLibrary="2"
-		DebugInformationFormat="0"
+		DebugInformationFormat="3"
 	/>
 	<Tool
Index: code/branches/input/visual_studio/base_properties_release_sse.vsprops
===================================================================
--- code/branches/input/visual_studio/base_properties_release_sse.vsprops	(revision 975)
+++ code/branches/input/visual_studio/base_properties_release_sse.vsprops	(revision 1022)
@@ -1,21 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="base_properties_release_sse"
-	InheritedPropertySheets=".\base_properties_release.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		PreprocessorDefinitions="NDEBUG"
-		EnableEnhancedInstructionSet="1"
-	/>
-	<UserMacro
-		Name="CS"
-		Value="_sse"
-	/>
-	<UserMacro
-		Name="CSS"
-		Value=""
-	/>
-</VisualStudioPropertySheet>
Index: code/branches/input/visual_studio/base_properties_release_sse2.vsprops
===================================================================
--- code/branches/input/visual_studio/base_properties_release_sse2.vsprops	(revision 975)
+++ code/branches/input/visual_studio/base_properties_release_sse2.vsprops	(revision 1022)
@@ -1,20 +1,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioPropertySheet
-	ProjectType="Visual C++"
-	Version="8.00"
-	Name="base_properties_release_sse2"
-	InheritedPropertySheets=".\base_properties_release.vsprops"
-	>
-	<Tool
-		Name="VCCLCompilerTool"
-		EnableEnhancedInstructionSet="2"
-	/>
-	<UserMacro
-		Name="CS"
-		Value="_sse2"
-	/>
-	<UserMacro
-		Name="CSS"
-		Value=""
-	/>
-</VisualStudioPropertySheet>
Index: code/branches/input/visual_studio/orxonox_vc8.sln
===================================================================
--- code/branches/input/visual_studio/orxonox_vc8.sln	(revision 975)
+++ code/branches/input/visual_studio/orxonox_vc8.sln	(revision 1022)
@@ -56,4 +56,10 @@
 	EndProjectSection
 EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tolua++", "vc8\tolua++.vcproj", "{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}"
+	ProjectSection(WebsiteProperties) = preProject
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.Debug = "False"
+	EndProjectSection
+EndProject
 Global
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
@@ -83,7 +89,7 @@
 		{2240ECD7-2F48-4431-8E1B-25466A384CCC}.Release|Win32.Build.0 = Release|Win32
 		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Debug|Win32.ActiveCfg = Debug|Win32
-		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Debug|Win32.Build.0 = Debug|Win32
 		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Release|Win32.ActiveCfg = Release|Win32
-		{F101C2F0-1CB9-4A57-827B-6C399A99B28F}.Release|Win32.Build.0 = Release|Win32
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}.Debug|Win32.ActiveCfg = Debug|Win32
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}.Release|Win32.ActiveCfg = Release|Win32
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: code/branches/input/visual_studio/tolua++_properties.vsprops
===================================================================
--- code/branches/input/visual_studio/tolua++_properties.vsprops	(revision 1022)
+++ code/branches/input/visual_studio/tolua++_properties.vsprops	(revision 1022)
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="tolua++_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="lua$(CS).lib"
+	/>
+</VisualStudioPropertySheet>
Index: code/branches/input/visual_studio/vc8/orxonox.vcproj
===================================================================
--- code/branches/input/visual_studio/vc8/orxonox.vcproj	(revision 975)
+++ code/branches/input/visual_studio/vc8/orxonox.vcproj	(revision 1022)
@@ -432,68 +432,4 @@
 			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
 			>
-			<File
-				RelativePath="..\..\bin\media.cfg"
-				>
-			</File>
-			<File
-				RelativePath="..\..\bin\ogre.cfg"
-				>
-			</File>
-			<File
-				RelativePath="..\..\bin\ogre.cfg-init"
-				>
-			</File>
-			<File
-				RelativePath="..\..\bin\Ogre.log"
-				>
-			</File>
-			<File
-				RelativePath="..\..\bin\orxonox.bat"
-				>
-			</File>
-			<File
-				RelativePath="..\..\bin\orxonox.ini"
-				>
-			</File>
-			<File
-				RelativePath="..\..\bin\orxonox.log"
-				>
-			</File>
-			<File
-				RelativePath="..\..\bin\orxonox_d.bat"
-				>
-			</File>
-			<File
-				RelativePath="..\..\bin\plugins.cfg"
-				>
-			</File>
-			<File
-				RelativePath="..\..\bin\plugins.cfg-init"
-				>
-			</File>
-			<File
-				RelativePath="..\..\bin\plugins_d.cfg"
-				>
-			</File>
-			<File
-				RelativePath="..\..\bin\quake3settings.cfg"
-				>
-			</File>
-			<File
-				RelativePath="..\..\bin\resources.cfg"
-				>
-			</File>
-			<File
-				RelativePath="..\..\bin\run-script"
-				>
-			</File>
-			<File
-				RelativePath="..\..\bin\translation_default.lang"
-				>
-			</File>
-			<File
-				RelativePath="..\..\bin\translation_german.lang"
-				>
-			</File>
 		</Filter>
 	</Files>
Index: code/branches/input/visual_studio/vc8/tixml.vcproj
===================================================================
--- code/branches/input/visual_studio/vc8/tixml.vcproj	(revision 975)
+++ code/branches/input/visual_studio/vc8/tixml.vcproj	(revision 1022)
@@ -172,8 +172,4 @@
 				>
 			</File>
-			<File
-				RelativePath="..\..\src\util\tinyxml\TinyXMLPrereqs.h"
-				>
-			</File>
 		</Filter>
 	</Files>
Index: code/branches/input/visual_studio/vc8/tolua++.vcproj
===================================================================
--- code/branches/input/visual_studio/vc8/tolua++.vcproj	(revision 1022)
+++ code/branches/input/visual_studio/vc8/tolua++.vcproj	(revision 1022)
@@ -0,0 +1,182 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="tolua++"
+	ProjectGUID="{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}"
+	RootNamespace="FICN"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\tolua++_properties.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="4"
+			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\tixml_properties.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\..\src\util\tolua++\tolua.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tolua++\tolua_event.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tolua++\tolua_is.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tolua++\tolua_map.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tolua++\tolua_push.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tolua++\tolua_to.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tolua++\toluabind.c"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\..\src\util\tolua++\tolua_event.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tolua++\toluabind.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\util\tolua++\toluabind_default.h"
+				>
+			</File>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>