Index: /code/branches/core2/src/orxonox/core/ConfigFileManager.cc
===================================================================
--- /code/branches/core2/src/orxonox/core/ConfigFileManager.cc	(revision 1022)
+++ /code/branches/core2/src/orxonox/core/ConfigFileManager.cc	(revision 1023)
@@ -111,5 +111,4 @@
     std::list<ConfigFileEntry*>::iterator ConfigFileSection::getEntryIterator(const std::string& name, const std::string& fallback)
     {
-std::cout << "a33333333333333333333333333\n";
         for (std::list<ConfigFileEntry*>::iterator it = this->entries_.begin(); it != this->entries_.end(); ++it)
             if ((*it)->getName() == name)
@@ -123,5 +122,4 @@
     std::list<ConfigFileEntry*>::iterator ConfigFileSection::getEntryIterator(const std::string& name, unsigned int index, const std::string& fallback)
     {
-std::cout << "b3333333333333333333333333\n";
         for (std::list<ConfigFileEntry*>::iterator it = this->entries_.begin(); it != this->entries_.end(); ++it)
             if (((*it)->getName() == name) && ((*it)->getIndex() == index))
@@ -197,5 +195,4 @@
                 if (isComment(line))
                 {
-std::cout << "1_7\n";
                     // New comment
                     newsection->getEntries().insert(newsection->getEntries().end(), new ConfigFileEntryComment(removeTrailingWhitespaces(line)));
@@ -204,10 +201,8 @@
                 else
                 {
-std::cout << "1_8\n";
                     unsigned int pos1 = line.find('=');
 
                     if (pos1 != std::string::npos && pos1 > 0)
                     {
-std::cout << "1_9\n";
                         // New entry
                         unsigned int pos2 = line.find('[');
@@ -220,5 +215,4 @@
                         if (value.size() > 0 && value[0] == '"' && betweenQuotes != "" && betweenQuotes.size() > 0)
                         {
-std::cout << "1_10\n";
                             value = betweenQuotes;
                             if (line.size() > pos1 + 1 + betweenQuotes.size() + 2)
@@ -227,22 +221,12 @@
                         else
                         {
-std::cout << "1_11\n";
                             unsigned int pos4 = getCommentPosition(line);
-std::cout << "a\n";
-std::cout << line << std::endl;
-std::cout << line.substr(pos1 + 1, pos4 - pos1 - 1) << std::endl;
                             value = removeTrailingWhitespaces(line.substr(pos1 + 1, pos4 - pos1 - 1));
-std::cout << value << std::endl;
-std::cout << "b\n";
                             if (pos4 != std::string::npos)
                                 comment = removeTrailingWhitespaces(line.substr(pos4));
-std::cout << comment << std::endl;
-std::cout << "c\n";
                         }
 
-std::cout << "1_12\n";
                         if (pos2 != std::string::npos && pos3 != std::string::npos && pos3 > pos2 + 1)
                         {
-std::cout << "1_13\n";
                             // There might be an array index
                             unsigned int index = 0;
@@ -251,5 +235,4 @@
                                 // New array
                                 newsection->getEntries().insert(newsection->getEntries().end(), new ConfigFileEntryArrayValue(getStripped(line.substr(0, pos2)), index, value, comment));
-std::cout << "1_14\n";
                                 continue;
                             }
@@ -258,5 +241,4 @@
                         // New value
                         newsection->getEntries().insert(newsection->getEntries().end(), new ConfigFileEntryValue(getStripped(line.substr(0, pos1)), value, comment));
-std::cout << "1_15\n";
                         continue;
                     }
@@ -264,5 +246,4 @@
             }
         }
-std::cout << "1_16\n";
 
         file.close();
@@ -272,5 +253,4 @@
         // Save the file in case something changed (like stripped whitespaces)
         this->save();
-std::cout << "1_17\n";
     }
 
@@ -312,5 +292,4 @@
     ConfigFileSection* ConfigFile::getSection(const std::string& section)
     {
-std::cout << "22222222222222222222\n";
         for (std::list<ConfigFileSection*>::iterator it = this->sections_.begin(); it != this->sections_.end(); ++it)
             if ((*it)->getName() == section)
@@ -433,5 +412,4 @@
     ConfigFile* ConfigFileManager::getFile(ConfigFileType type)
     {
-std::cout << "111111111111111111\n";
         std::map<ConfigFileType, ConfigFile*>::iterator it = this->configFiles_.find(type);
         if (it != this->configFiles_.end())
Index: /code/branches/core2/src/orxonox/core/ConfigFileManager.h
===================================================================
--- /code/branches/core2/src/orxonox/core/ConfigFileManager.h	(revision 1022)
+++ /code/branches/core2/src/orxonox/core/ConfigFileManager.h	(revision 1023)
@@ -76,5 +76,5 @@
     {
         public:
-            inline ConfigFileEntryValue(const std::string& name, const std::string& value = "", const std::string& additionalComment = "") : name_(name), value_(value), additionalComment_(additionalComment), bString_(false) { std::cout << "************* " << value << std::endl; }
+            inline ConfigFileEntryValue(const std::string& name, const std::string& value = "", const std::string& additionalComment = "") : name_(name), value_(value), additionalComment_(additionalComment), bString_(false) {}
             inline virtual ~ConfigFileEntryValue() {}
 
Index: /code/branches/core2/src/orxonox/core/ConfigValueContainer.cc
===================================================================
--- /code/branches/core2/src/orxonox/core/ConfigValueContainer.cc	(revision 1022)
+++ /code/branches/core2/src/orxonox/core/ConfigValueContainer.cc	(revision 1023)
@@ -53,4 +53,5 @@
         this->varname_ = varname;
 
+        this->value_ = defvalue;
         this->bAddedDescription_ = false;
 
@@ -97,8 +98,5 @@
     void ConfigValueContainer::update()
     {
-std::cout << "AAA1: " << this->value_ << std::endl;
-std::cout << "    : " << ConfigFileManager::getSingleton()->getValue(this->type_, this->sectionname_, this->varname_, this->defvalueString_) << std::endl;
         this->value_.fromString(ConfigFileManager::getSingleton()->getValue(this->type_, this->sectionname_, this->varname_, this->defvalueString_));
-std::cout << "AAA2: " << this->value_ << std::endl;
     }
 
Index: /code/branches/core2/src/orxonox/core/DebugLevel.cc
===================================================================
--- /code/branches/core2/src/orxonox/core/DebugLevel.cc	(revision 1022)
+++ /code/branches/core2/src/orxonox/core/DebugLevel.cc	(revision 1023)
@@ -95,5 +95,5 @@
 
         // Return a constant value while we're creating the object
-        return 4;
+        return 2;
     }
 }
Index: /code/branches/core2/src/orxonox/core/Language.cc
===================================================================
--- /code/branches/core2/src/orxonox/core/Language.cc	(revision 1022)
+++ /code/branches/core2/src/orxonox/core/Language.cc	(revision 1023)
@@ -108,5 +108,4 @@
 
         // Read the translation file after the language was configured
-std::cout << "asdfasdfkjsfkdjaslfkjsaflkjsdfkl\n";
         this->readTranslatedLanguageFile();
     }