Index: code/trunk/src/orxonox/objects/Fighter.cc
===================================================================
--- code/trunk/src/orxonox/objects/Fighter.cc	(revision 1021)
+++ code/trunk/src/orxonox/objects/Fighter.cc	(revision 1024)
@@ -39,5 +39,5 @@
 #include "core/CoreIncludes.h"
 #include "Orxonox.h"
-#include "InputHandler.h"
+#include "core/InputManager.h"
 #include "particle/ParticleInterface.h"
 #include "weapon/AmmunitionDump.h"
@@ -255,7 +255,7 @@
         if (!this->setMouseEventCallback_)
         {
-            if (InputHandler::getSingleton()->getMouse())
+            if (InputManager::getSingleton()->getMouse())
             {
-                InputHandler::getSingleton()->getMouse()->setEventCallback(this);
+                InputManager::getSingleton()->getMouse()->setEventCallback(this);
                 this->setMouseEventCallback_ = true;
             }
@@ -264,9 +264,9 @@
         WorldEntity::tick(dt);
 
-        OIS::Keyboard* mKeyboard = InputHandler::getSingleton()->getKeyboard();
-        OIS::Mouse* mMouse = InputHandler::getSingleton()->getMouse();
-
-        mKeyboard->capture();
-        mMouse->capture();
+        OIS::Keyboard* mKeyboard = InputManager::getSingleton()->getKeyboard();
+        OIS::Mouse* mMouse = InputManager::getSingleton()->getMouse();
+
+        //mKeyboard->capture();
+        //mMouse->capture();
 
         if (leftButtonPressed_)
Index: code/trunk/src/orxonox/objects/Fighter.h
===================================================================
--- code/trunk/src/orxonox/objects/Fighter.h	(revision 1021)
+++ code/trunk/src/orxonox/objects/Fighter.h	(revision 1024)
@@ -7,6 +7,4 @@
 
 #include "Model.h"
-
-class TiXmlElement; // Forward declaration
 
 namespace orxonox
Index: code/trunk/src/orxonox/objects/Model.h
===================================================================
--- code/trunk/src/orxonox/objects/Model.h	(revision 1021)
+++ code/trunk/src/orxonox/objects/Model.h	(revision 1024)
@@ -6,6 +6,4 @@
 #include "WorldEntity.h"
 #include "../tools/Mesh.h"
-
-class TiXmlElement; // Forward declaration
 
 namespace orxonox
Index: code/trunk/src/orxonox/objects/NPC.h
===================================================================
--- code/trunk/src/orxonox/objects/NPC.h	(revision 1021)
+++ code/trunk/src/orxonox/objects/NPC.h	(revision 1024)
@@ -11,6 +11,4 @@
 
 #include "Model.h"
-
-class TiXmlElement; // Forward declaration
 
 namespace orxonox {
Index: code/trunk/src/orxonox/objects/Projectile.h
===================================================================
--- code/trunk/src/orxonox/objects/Projectile.h	(revision 1021)
+++ code/trunk/src/orxonox/objects/Projectile.h	(revision 1024)
@@ -10,6 +10,4 @@
 namespace orxonox
 {
-    class SpaceShip; // Forward declaration
-
     class _OrxonoxExport Projectile : public WorldEntity
     {
Index: code/trunk/src/orxonox/objects/Skybox.h
===================================================================
--- code/trunk/src/orxonox/objects/Skybox.h	(revision 1021)
+++ code/trunk/src/orxonox/objects/Skybox.h	(revision 1024)
@@ -5,6 +5,4 @@
 
 #include "core/BaseObject.h"
-
-class TiXmlElement; // Forward declaration
 
 namespace orxonox
Index: code/trunk/src/orxonox/objects/SpaceShip.cc
===================================================================
--- code/trunk/src/orxonox/objects/SpaceShip.cc	(revision 1021)
+++ code/trunk/src/orxonox/objects/SpaceShip.cc	(revision 1024)
@@ -42,5 +42,5 @@
 #include "core/Debug.h"
 #include "Orxonox.h"
-#include "InputHandler.h"
+#include "core/InputManager.h"
 #include "particle/ParticleInterface.h"
 #include "Projectile.h"
@@ -417,9 +417,9 @@
     void SpaceShip::tick(float dt)
     {
-        if (!this->setMouseEventCallback_)
-        {
-            if (InputHandler::getSingleton()->getMouse())
+      if (InputManager::getSingleton()->getMouse()->getEventCallback() != this)
+        {
+            if (InputManager::getSingleton()->getMouse())
             {
-                InputHandler::getSingleton()->getMouse()->setEventCallback(this);
+                InputManager::getSingleton()->getMouse()->setEventCallback(this);
                 this->setMouseEventCallback_ = true;
             }
@@ -446,9 +446,6 @@
         }
 
-        OIS::Keyboard* mKeyboard = InputHandler::getSingleton()->getKeyboard();
-        OIS::Mouse* mMouse = InputHandler::getSingleton()->getMouse();
-
-        mKeyboard->capture();
-        mMouse->capture();
+        OIS::Keyboard* mKeyboard = InputManager::getSingleton()->getKeyboard();
+        OIS::Mouse* mMouse = InputManager::getSingleton()->getMouse();
 
 
Index: code/trunk/src/orxonox/objects/SpaceShip.h
===================================================================
--- code/trunk/src/orxonox/objects/SpaceShip.h	(revision 1021)
+++ code/trunk/src/orxonox/objects/SpaceShip.h	(revision 1024)
@@ -10,10 +10,6 @@
 #include "../tools/BillboardSet.h"
 
-class TiXmlElement;          // Forward declaration
-
 namespace orxonox
 {
-    class ParticleInterface; // Forward declaration
-
     class _OrxonoxExport SpaceShip : public Model, public OIS::MouseListener
     {
Index: code/trunk/src/orxonox/objects/SpaceshipSteeringObject.cc
===================================================================
--- code/trunk/src/orxonox/objects/SpaceshipSteeringObject.cc	(revision 1021)
+++ 	(revision )
@@ -1,91 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      ...
- *   Co-authors:
- *      ...
- *
- */
-
-#include "OrxonoxStableHeaders.h"
-
-#include <OgreSceneManager.h>
-#include <OgreSceneNode.h>
-#include <OgreRoot.h>
-#include <OgreRenderWindow.h>
-
-#include <string>
-
-#include "../Orxonox.h"
-#include "../GraphicsEngine.h"
-#include "util/tinyxml/tinyxml.h"
-#include "util/Tokenizer.h"
-#include "util/String2Number.h"
-#include "core/CoreIncludes.h"
-#include "SpaceshipSteeringObject.h"
-
-#include "../SpaceshipSteering.h"
-
-namespace orxonox
-{
-    CreateFactory(SpaceshipSteeringObject);
-
-    SpaceshipSteeringObject::SpaceshipSteeringObject()
-    {
-        RegisterObject(SpaceshipSteeringObject);
-    }
-
-    SpaceshipSteeringObject::~SpaceshipSteeringObject()
-    {
-    }
-
-    void SpaceshipSteeringObject::loadParams(TiXmlElement* xmlElem)
-    {
-      SpaceshipSteering* steering = orxonox::Orxonox::getSingleton()->getSteeringPointer();
-
-      if (xmlElem->Attribute("node") && xmlElem->Attribute("forward") && xmlElem->Attribute("rotateupdown") && xmlElem->Attribute("rotaterightleft") && xmlElem->Attribute("looprightleft"))
-      {
-        std::string nodeStr = xmlElem->Attribute("node");
-        std::string forwardStr = xmlElem->Attribute("forward");
-        std::string rotateupdownStr = xmlElem->Attribute("rotateupdown");
-        std::string rotaterightleftStr = xmlElem->Attribute("rotaterightleft");
-        std::string looprightleftStr = xmlElem->Attribute("looprightleft");
-
-        float forward, rotateupdown, rotaterightleft, looprightleft;
-        String2Number<float>(forward, forwardStr);
-        String2Number<float>(rotateupdown, rotateupdownStr);
-        String2Number<float>(rotaterightleft, rotaterightleftStr);
-        String2Number<float>(looprightleft, looprightleftStr);
-
-        steering = new SpaceshipSteering(forward, rotateupdown, rotaterightleft, looprightleft);
-
-        Ogre::SceneManager* mgr = orxonox::Orxonox::getSingleton()->getSceneManager();
-        Ogre::SceneNode* sceneNode = (Ogre::SceneNode*)mgr->getRootSceneNode()->getChild(nodeStr);
-
-        steering->addNode(sceneNode);
-
-
-
-
-        COUT(4) << "Loader: Initialized spaceship steering at node " << nodeStr << " values "<< forward << " " << rotateupdown << " "<< rotaterightleft << " "<< looprightleft << " "<< std::endl << std::endl;
-      }
-   }
-}
Index: code/trunk/src/orxonox/objects/SpaceshipSteeringObject.h
===================================================================
--- code/trunk/src/orxonox/objects/SpaceshipSteeringObject.h	(revision 1021)
+++ 	(revision )
@@ -1,24 +1,0 @@
-#ifndef _OBJECT_SPACESHIPSTEERING_H__
-#define _OBJECT_SPACESHIPSTEERING_H__
-
-#include "core/BaseObject.h"
-#include "util/tinyxml/tinyxml.h"
-
-namespace orxonox
-{
-    class SpaceshipSteeringObject : public BaseObject
-    {
-        public:
-            SpaceshipSteeringObject();
-            virtual ~SpaceshipSteeringObject();
-
-
-            void loadParams(TiXmlElement* xmlElem);
-
-        private:
-
-
-    };
-}
-
-#endif
Index: code/trunk/src/orxonox/objects/Test.h
===================================================================
--- code/trunk/src/orxonox/objects/Test.h	(revision 1021)
+++ 	(revision )
@@ -1,177 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-#ifndef _Test_H__
-#define _Test_H__
-
-#include "core/BaseObject.h"
-
-namespace orxonox
-{
-    class Interface1 : virtual public OrxonoxClass
-    {
-        protected:
-            Interface1() { RegisterRootObject(Interface1); }
-    };
-
-    class Interface2 : virtual public OrxonoxClass
-    {
-        protected:
-            Interface2() { RegisterRootObject(Interface2); }
-    };
-
-    class A1 : public BaseObject
-    {
-        public:
-            A1() { RegisterObject(A1); }
-    };
-
-    class A2 : public BaseObject
-    {
-        public:
-            A2() { RegisterObject(A2); }
-    };
-
-    class A3: public BaseObject, public Interface1
-    {
-        public:
-            A3() { RegisterObject(A3); }
-    };
-
-    class A1B1 : public A1
-    {
-        public:
-            A1B1() { RegisterObject(A1B1); }
-    };
-
-    class A1B2 : public A1
-    {
-        public:
-            A1B2() { RegisterObject(A1B2); }
-//            virtual void test() = 0;
-    };
-
-    class A2B1 : public A2
-    {
-        public:
-            A2B1() { RegisterObject(A2B1); }
-    };
-
-    class A2B2 : public A2, Interface1
-    {
-        public:
-            A2B2() { RegisterObject(A2B2); }
-    };
-
-    class A3B1 : public A3
-    {
-        public:
-            A3B1() { RegisterObject(A3B1); }
-    };
-
-    class A3B2 : public A3, Interface2
-    {
-        public:
-            A3B2() { RegisterObject(A3B2); }
-    };
-
-    class A1B1C1 : public A1B1
-    {
-        public:
-            A1B1C1() { RegisterObject(A1B1C1); }
-    };
-
-    class A1B1C2 : public A1B1
-    {
-        public:
-            A1B1C2() { RegisterObject(A1B1C2); }
-    };
-
-    class A1B2C1 : public A1B2
-    {
-        public:
-            A1B2C1() { RegisterObject(A1B2C1); }
-//            void test() { std::cout << "test!\n"; }
-    };
-
-    class A2B1C1 : public A2B1, Interface2
-    {
-        public:
-            A2B1C1() { RegisterObject(A2B1C1); }
-    };
-
-    class A2B2C1 : public A2B2
-    {
-        public:
-            A2B2C1() { RegisterObject(A2B2C1); }
-    };
-
-    class A3B1C1 : public A3B1
-    {
-        public:
-            A3B1C1() { RegisterObject(A3B1C1); }
-    };
-
-    class A3B1C2 : public A3B1, Interface2
-    {
-        public:
-            A3B1C2() { RegisterObject(A3B1C2); }
-    };
-
-    class A3B2C1 : public A3B2
-    {
-        public:
-            A3B2C1() { RegisterObject(A3B2C1); }
-    };
-
-    class A3B2C2 : public A3B2
-    {
-        public:
-            A3B2C2() { RegisterObject(A3B2C2); }
-    };
-
-    CreateFactory(A1);
-    CreateFactory(A2);
-    CreateFactory(A3);
-    CreateFactory(A1B1);
-    CreateFactory(A1B2);
-    CreateFactory(A2B1);
-    CreateFactory(A2B2);
-    CreateFactory(A3B1);
-    CreateFactory(A3B2);
-    CreateFactory(A1B1C1);
-    CreateFactory(A1B1C2);
-    CreateFactory(A1B2C1);
-    CreateFactory(A2B1C1);
-    CreateFactory(A2B2C1);
-    CreateFactory(A3B1C1);
-    CreateFactory(A3B1C2);
-    CreateFactory(A3B2C1);
-    CreateFactory(A3B2C2);
-}
-
-#endif
Index: code/trunk/src/orxonox/objects/test1.cc
===================================================================
--- code/trunk/src/orxonox/objects/test1.cc	(revision 1021)
+++ 	(revision )
@@ -1,103 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-#include "test1.h"
-#include "test2.h"
-#include "test3.h"
-#include "core/CoreIncludes.h"
-
-namespace orxonox
-{
-    CreateFactory(Test1);
-
-    Test1::Test1()
-    {
-        RegisterObject(Test1);
-
-        this->usefullClass1_ = Class(Test1);
-        this->usefullClass2_ = Class(Test2);
-        this->usefullClass3_ = Class(Test3);
-    }
-
-    Test1::~Test1()
-    {
-    }
-
-    void Test1::tick(float dt)
-    {
-        std::cout << "Test1: " << this << std::endl;
-    }
-
-    bool Test1::usefullClass1isA(Identifier* identifier)
-    {
-        return this->usefullClass1_->isA(identifier);
-    }
-
-    bool Test1::usefullClass2isA(Identifier* identifier)
-    {
-        return this->usefullClass2_->isA(identifier);
-    }
-
-    bool Test1::usefullClass3isA(Identifier* identifier)
-    {
-        return this->usefullClass3_.isA(identifier);
-    }
-
-    void Test1::setUsefullClass1(Identifier* identifier)
-    {
-        std::cout << std::endl;
-        std::cout << "Test1: usefullClass1->isA(Class(Test1)): " << identifier->isA(Class(Test1)) << std::endl;
-        std::cout << "Test1: usefullClass1->isA(Class(Test2)): " << identifier->isA(Class(Test2)) << std::endl;
-        std::cout << "Test1: usefullClass1->isA(Class(Test3)): " << identifier->isA(Class(Test3)) << std::endl;
-        this->usefullClass1_ = identifier;
-    }
-
-    void Test1::setUsefullClass2(Identifier* identifier)
-    {
-        std::cout << std::endl;
-        std::cout << "Test1: usefullClass2->isA(Class(Test1)): " << identifier->isA(Class(Test1)) << std::endl;
-        std::cout << "Test1: usefullClass2->isA(Class(Test2)): " << identifier->isA(Class(Test2)) << std::endl;
-        std::cout << "Test1: usefullClass2->isA(Class(Test3)): " << identifier->isA(Class(Test3)) << std::endl;
-        this->usefullClass2_ = identifier;
-    }
-
-    void Test1::setUsefullClassOfTypeTest3(Identifier* identifier)
-    {
-        std::cout << std::endl;
-        std::cout << "Test1: usefullClass3->isA(Class(Test1)): " << identifier->isA(Class(Test1)) << std::endl;
-        std::cout << "Test1: usefullClass3->isA(Class(Test2)): " << identifier->isA(Class(Test2)) << std::endl;
-        std::cout << "Test1: usefullClass3->isA(Class(Test3)): " << identifier->isA(Class(Test3)) << std::endl;
-        this->usefullClass3_ = identifier;
-    }
-
-    void Test1::loadParams(TiXmlElement* xmlElem)
-    {
-
-
-
-    }
-}
Index: code/trunk/src/orxonox/objects/test1.h
===================================================================
--- code/trunk/src/orxonox/objects/test1.h	(revision 1021)
+++ 	(revision )
@@ -1,36 +1,0 @@
-#ifndef _Test1_H__
-#define _Test1_H__
-
-#include "core/BaseObject.h"
-#include "Tickable.h"
-#include "test3.h"
-#include "util/tinyxml/tinyxml.h"
-
-namespace orxonox
-{
-    class Test1 : public BaseObject, public Tickable
-    {
-        public:
-            Test1();
-            virtual ~Test1();
-
-            virtual void tick(float dt);
-
-            bool usefullClass1isA(Identifier* identifier);
-            bool usefullClass2isA(Identifier* identifier);
-            bool usefullClass3isA(Identifier* identifier);
-            void setUsefullClass1(Identifier* identifier);
-            void setUsefullClass2(Identifier* identifier);
-            void setUsefullClassOfTypeTest3(Identifier* identifier);
-
-            void loadParams(TiXmlElement* xmlElem);
-
-        private:
-            Identifier* usefullClass1_;
-            Identifier* usefullClass2_;
-            SubclassIdentifier<Test3> usefullClass3_;
-
-    };
-}
-
-#endif
Index: code/trunk/src/orxonox/objects/test2.cc
===================================================================
--- code/trunk/src/orxonox/objects/test2.cc	(revision 1021)
+++ 	(revision )
@@ -1,110 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-#include "test1.h"
-#include "test2.h"
-#include "test3.h"
-#include "core/CoreIncludes.h"
-
-namespace orxonox
-{
-    CreateFactory(Test2);
-
-    Test2::Test2()
-    {
-        RegisterObject(Test2);
-
-        this->usefullClass1_ = Class(Test1);
-        this->usefullClass2_ = Class(Test2);
-        this->usefullClass3_ = Class(Test3);
-
-        timer1.setTimer(1, true, this, &Test2::timerFunction1);
-        timer2.setTimer(5, true, this, &Test2::timerFunction2);
-        timer3.setTimer(10, false, this, &Test2::timerFunction3);
-    }
-
-    Test2::~Test2()
-    {
-    }
-
-    void Test2::timerFunction1()
-    {
-        std::cout << "Test2: 1 Sekunde" << std::endl;
-    }
-
-    void Test2::timerFunction2()
-    {
-        std::cout << "Test2: 5 Sekunden" << std::endl;
-    }
-
-    void Test2::timerFunction3()
-    {
-        std::cout << "Test2: 10 Sekunden sind um!" << std::endl;
-    }
-
-    bool Test2::usefullClass1isA(Identifier* identifier)
-    {
-        return this->usefullClass1_->isA(identifier);
-    }
-
-    bool Test2::usefullClass2isA(Identifier* identifier)
-    {
-        return this->usefullClass2_->isA(identifier);
-    }
-
-    bool Test2::usefullClass3isA(Identifier* identifier)
-    {
-        return this->usefullClass3_.isA(identifier);
-    }
-
-    void Test2::setUsefullClass1(Identifier* identifier)
-    {
-        std::cout << std::endl;
-        std::cout << "Test2: usefullClass1->isA(Class(Test1)): " << identifier->isA(Class(Test1)) << std::endl;
-        std::cout << "Test2: usefullClass1->isA(Class(Test2)): " << identifier->isA(Class(Test2)) << std::endl;
-        std::cout << "Test2: usefullClass1->isA(Class(Test3)): " << identifier->isA(Class(Test3)) << std::endl;
-        this->usefullClass1_ = identifier;
-    }
-
-    void Test2::setUsefullClass2(Identifier* identifier)
-    {
-        std::cout << std::endl;
-        std::cout << "Test2: usefullClass2->isA(Class(Test1)): " << identifier->isA(Class(Test1)) << std::endl;
-        std::cout << "Test2: usefullClass2->isA(Class(Test2)): " << identifier->isA(Class(Test2)) << std::endl;
-        std::cout << "Test2: usefullClass2->isA(Class(Test3)): " << identifier->isA(Class(Test3)) << std::endl;
-        this->usefullClass2_ = identifier;
-    }
-
-    void Test2::setUsefullClassOfTypeTest3(Identifier* identifier)
-    {
-        std::cout << std::endl;
-        std::cout << "Test2: usefullClass3->isA(Class(Test1)): " << identifier->isA(Class(Test1)) << std::endl;
-        std::cout << "Test2: usefullClass3->isA(Class(Test2)): " << identifier->isA(Class(Test2)) << std::endl;
-        std::cout << "Test2: usefullClass3->isA(Class(Test3)): " << identifier->isA(Class(Test3)) << std::endl;
-        this->usefullClass3_ = identifier;
-    }
-}
Index: code/trunk/src/orxonox/objects/test2.h
===================================================================
--- code/trunk/src/orxonox/objects/test2.h	(revision 1021)
+++ 	(revision )
@@ -1,39 +1,0 @@
-#ifndef _Test2_H__
-#define _Test2_H__
-
-#include "core/BaseObject.h"
-#include "../tools/Timer.h"
-
-namespace orxonox
-{
-    class Test3;
-
-    class Test2 : public BaseObject
-    {
-        public:
-            Test2();
-            virtual ~Test2();
-
-            bool usefullClass1isA(Identifier* identifier);
-            bool usefullClass2isA(Identifier* identifier);
-            bool usefullClass3isA(Identifier* identifier);
-            void setUsefullClass1(Identifier* identifier);
-            void setUsefullClass2(Identifier* identifier);
-            void setUsefullClassOfTypeTest3(Identifier* identifier);
-
-            void timerFunction1();
-            void timerFunction2();
-            void timerFunction3();
-
-        private:
-            Identifier* usefullClass1_;
-            Identifier* usefullClass2_;
-            SubclassIdentifier<Test3> usefullClass3_;
-
-            Timer<Test2> timer1;
-            Timer<Test2> timer2;
-            Timer<Test2> timer3;
-    };
-}
-
-#endif
Index: code/trunk/src/orxonox/objects/test3.cc
===================================================================
--- code/trunk/src/orxonox/objects/test3.cc	(revision 1021)
+++ 	(revision )
@@ -1,116 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-#include "test1.h"
-#include "test2.h"
-#include "test3.h"
-#include "core/CoreIncludes.h"
-
-namespace orxonox
-{
-    CreateFactory(Test3);
-
-    Test3::Test3()
-    {
-        RegisterObject(Test3);
-
-        this->setConfigValues();
-    }
-
-    void Test3::setConfigValues()
-    {
-        SetConfigValue(value_int_, 1);
-        SetConfigValue(value_uint_, 1);
-        SetConfigValue(value_char_, 1);
-        SetConfigValue(value_uchar_, 1);
-        SetConfigValue(value_float_, 1);
-        SetConfigValue(value_double_, 1);
-        SetConfigValue(value_bool_, 1);
-        SetConfigValue(value_string_, "This is a test");
-        SetConfigValue(value_constchar_, "This is another test");
-        SetConfigValue(value_vector2_, Vector2(101, 202));
-        SetConfigValue(value_vector3_, Vector3(13, 26, 39));
-        SetConfigValue(value_colourvalue_, ColourValue(1.0, 0.5, 0.25, 0.887));
-    }
-
-    Test3::~Test3()
-    {
-    }
-
-    void Test3::configOutput()
-    {
-        std::cout << "int:         " << this->value_int_ << std::endl;
-        std::cout << "uint:        " << this->value_uint_ << std::endl;
-        std::cout << "char:        " << (int)this->value_char_ << std::endl;
-        std::cout << "uchar:       " << (int)this->value_uchar_ << std::endl;
-        std::cout << "float:       " << this->value_float_ << std::endl;
-        std::cout << "double:      " << this->value_double_ << std::endl;
-        std::cout << "bool:        " << this->value_bool_ << std::endl;
-        std::cout << "string:      " << this->value_string_ << std::endl;
-        std::cout << "constchar:   " << this->value_constchar_ << std::endl;
-        std::cout << "vector2:     " << this->value_vector2_ << std::endl;
-        std::cout << "vector3:     " << this->value_vector3_ << std::endl;
-        std::cout << "colourvalue: " << this->value_colourvalue_ << std::endl;
-    }
-
-    #define testandcout(code) \
-      std::cout << #code << " " << code << std::endl
-
-    void Test3::usefullClassesIsATest(Test1* test1)
-    {
-        std::cout << std::endl;
-        std::cout << "Test1:" << std::endl;
-        testandcout(test1->usefullClass1isA(Class(Test1)));
-        testandcout(test1->usefullClass1isA(Class(Test2)));
-        testandcout(test1->usefullClass1isA(Class(Test3)));
-        std::cout << std::endl;
-        testandcout(test1->usefullClass2isA(Class(Test1)));
-        testandcout(test1->usefullClass2isA(Class(Test2)));
-        testandcout(test1->usefullClass2isA(Class(Test3)));
-        std::cout << std::endl;
-        testandcout(test1->usefullClass3isA(Class(Test1)));
-        testandcout(test1->usefullClass3isA(Class(Test2)));
-        testandcout(test1->usefullClass3isA(Class(Test3)));
-    }
-
-    void Test3::usefullClassesIsATest(Test2* test2)
-    {
-        std::cout << std::endl;
-        std::cout << "Test2:" << std::endl;
-        testandcout(test2->usefullClass1isA(Class(Test1)));
-        testandcout(test2->usefullClass1isA(Class(Test2)));
-        testandcout(test2->usefullClass1isA(Class(Test3)));
-        std::cout << std::endl;
-        testandcout(test2->usefullClass2isA(Class(Test1)));
-        testandcout(test2->usefullClass2isA(Class(Test2)));
-        testandcout(test2->usefullClass2isA(Class(Test3)));
-        std::cout << std::endl;
-        testandcout(test2->usefullClass3isA(Class(Test1)));
-        testandcout(test2->usefullClass3isA(Class(Test2)));
-        testandcout(test2->usefullClass3isA(Class(Test3)));
-    }
-}
Index: code/trunk/src/orxonox/objects/test3.h
===================================================================
--- code/trunk/src/orxonox/objects/test3.h	(revision 1021)
+++ 	(revision )
@@ -1,41 +1,0 @@
-#ifndef _Test3_H__
-#define _Test3_H__
-
-#include "core/BaseObject.h"
-#include "util/Math.h"
-
-namespace orxonox
-{
-    class Test1;
-    class Test2;
-
-    class Test3 : public BaseObject
-    {
-        public:
-            Test3();
-            virtual ~Test3();
-
-            void setConfigValues();
-
-            void usefullClassesIsATest(Test1* test1);
-            void usefullClassesIsATest(Test2* test2);
-
-            void configOutput();
-
-        private:
-            int                 value_int_;
-            unsigned int        value_uint_;
-            char                value_char_;
-            unsigned char       value_uchar_;
-            float               value_float_;
-            double              value_double_;
-            bool                value_bool_;
-            std::string         value_string_;
-            const char*         value_constchar_;
-            Vector2             value_vector2_;
-            Vector3             value_vector3_;
-            ColourValue         value_colourvalue_;
-    };
-}
-
-#endif