Index: code/branches/core2/src/orxonox/Orxonox.cc
===================================================================
--- code/branches/core2/src/orxonox/Orxonox.cc	(revision 1035)
+++ code/branches/core2/src/orxonox/Orxonox.cc	(revision 1036)
@@ -79,6 +79,6 @@
 #include "core/ClassTreeMask.h"
 #include "objects/WorldEntity.h"
-#include "core/DebugLevel.h"
 #include "core/BaseObject.h"
+#include "core/CoreSettings.h"
 #include "objects/Test.h"
 #include "objects/test1.h"
@@ -1125,7 +1125,7 @@
 
         ClassTreeMask test13_20;
-        test13_20.exclude(Class(DebugLevel));
-        std::cout << std::endl;
-        std::cout << "Mask with excluded DebugLevel:\n";
+        test13_20.exclude(Class(CoreSettings));
+        std::cout << std::endl;
+        std::cout << "Mask with excluded CoreSettings:\n";
         TestClassTreeMask(test13_20);
 
Index: code/branches/core2/src/orxonox/core/CMakeLists.txt
===================================================================
--- code/branches/core2/src/orxonox/core/CMakeLists.txt	(revision 1035)
+++ code/branches/core2/src/orxonox/core/CMakeLists.txt	(revision 1036)
@@ -11,5 +11,5 @@
   SignalHandler.cc
   ArgReader.cc
-  DebugLevel.cc
+  CoreSettings.cc
   OutputHandler.cc
   Language.cc
Index: code/branches/core2/src/orxonox/core/ConfigValueContainer.cc
===================================================================
--- code/branches/core2/src/orxonox/core/ConfigValueContainer.cc	(revision 1035)
+++ code/branches/core2/src/orxonox/core/ConfigValueContainer.cc	(revision 1036)
@@ -35,4 +35,5 @@
 #include "ConfigValueContainer.h"
 #include "Language.h"
+#include "Identifier.h"
 #include "util/SubString.h"
 #include "util/Convert.h"
Index: code/branches/core2/src/orxonox/core/CorePrereqs.h
===================================================================
--- code/branches/core2/src/orxonox/core/CorePrereqs.h	(revision 1035)
+++ code/branches/core2/src/orxonox/core/CorePrereqs.h	(revision 1036)
@@ -100,5 +100,5 @@
   class ConfigFileSection;
   class ConfigValueContainer;
-  class DebugLevel;
+  class CoreSettings;
   class Error;
   class Executor;
Index: code/branches/core2/src/orxonox/core/CoreSettings.cc
===================================================================
--- code/branches/core2/src/orxonox/core/CoreSettings.cc	(revision 1036)
+++ code/branches/core2/src/orxonox/core/CoreSettings.cc	(revision 1036)
@@ -0,0 +1,162 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file CoreSettings.cc
+    @brief Implementation of the CoreSettings class.
+*/
+
+#include "CoreSettings.h"
+#include "Language.h"
+#include "CoreIncludes.h"
+#include "ConfigValueIncludes.h"
+
+namespace orxonox
+{
+    /**
+        @brief Constructor: Registers the object and sets the config-values.
+        @param A reference to a global variable, used to avoid an infinite recursion in getSoftDebugLevel()
+    */
+    CoreSettings::CoreSettings()
+    {
+        RegisterRootObject(CoreSettings);
+        this->setConfigValues();
+    }
+
+    bool& CoreSettings::isCreatingCoreSettings()
+    {
+        static bool bCreatingCoreSettings = true;
+        static bool bFirstTime = true;
+        if (bFirstTime)
+        {
+            bFirstTime = false;
+            CoreSettings::getInstance();
+        }
+        return bCreatingCoreSettings;
+    }
+
+    /**
+        @brief Returns a unique instance of CoreSettings.
+        @return The instance
+    */
+    CoreSettings& CoreSettings::getInstance()
+    {
+        static CoreSettings instance = CoreSettings();
+
+        // If bCreatingSoftDebugLevelObject is true, we're just about to create an instance of the DebugLevel class
+        if (CoreSettings::isCreatingCoreSettings())
+        {
+            isCreatingCoreSettings() = false;
+            instance.setConfigValues();
+        }
+        return instance;
+    }
+
+    /**
+        @brief Function to collect the SetConfigValue-macro calls.
+    */
+    void CoreSettings::setConfigValues()
+    {
+        SetConfigValue(softDebugLevelConsole_, 3).description("The maximal level of debug output shown in the console");
+        SetConfigValue(softDebugLevelLogfile_, 3).description("The maximal level of debug output shown in the logfile");
+        SetConfigValue(softDebugLevelShell_, 1).description("The maximal level of debug output shown in the ingame shell");
+
+        // softDebugLevel_ is the maximum of the 3 variables
+        this->softDebugLevel_ = this->softDebugLevelConsole_;
+        if (this->softDebugLevelLogfile_ > this->softDebugLevel_)
+            this->softDebugLevel_ = this->softDebugLevelLogfile_;
+        if (this->softDebugLevelShell_ > this->softDebugLevel_)
+            this->softDebugLevel_ = this->softDebugLevelShell_;
+
+
+        std::string temp = this->language_;
+        SetConfigValue(language_, Language::getLanguage().defaultLanguage_).description("The language of the ingame text");
+
+        if (this->language_ != temp)
+        {
+            // Read the translation file after the language was configured
+            Language::getLanguage().readTranslatedLanguageFile();
+        }
+    }
+
+    /**
+        @brief Static function that holds the singleton.
+    */
+    int CoreSettings::getSoftDebugLevel(OutputHandler::OutputDevice device)
+    {
+        if (!CoreSettings::isCreatingCoreSettings())
+        {
+            if (device == OutputHandler::LD_All)
+                return CoreSettings::getInstance().softDebugLevel_;
+            else if (device == OutputHandler::LD_Console)
+                return CoreSettings::getInstance().softDebugLevelConsole_;
+            else if (device == OutputHandler::LD_Logfile)
+                return CoreSettings::getInstance().softDebugLevelLogfile_;
+            else if (device == OutputHandler::LD_Shell)
+                return CoreSettings::getInstance().softDebugLevelShell_;
+        }
+
+        // Return a constant value while we're creating the object
+        return 2;
+    }
+
+    /**
+        @brief Returns the configured language.
+    */
+    const std::string& CoreSettings::getLanguage()
+    {
+        if (!CoreSettings::isCreatingCoreSettings())
+            return CoreSettings::getInstance().language_;
+
+        return Language::getLanguage().defaultLanguage_;
+    }
+
+    /**
+        @brief Sets the language in the config-file back to the default.
+    */
+    void CoreSettings::resetLanguage()
+    {
+        CoreSettings::getInstance().resetLanguageIntern();
+    }
+
+    /**
+        @brief Sets the language in the config-file back to the default.
+    */
+    void CoreSettings::resetLanguageIntern()
+    {
+        ResetConfigValue(language_);
+    }
+}
+
+/**
+    @brief Returns the soft debug level, stored in the only existing instance of the DebugLevel class, configured in the config-file.
+    @return The soft debug level
+*/
+int getSoftDebugLevel()
+{
+    return orxonox::CoreSettings::getSoftDebugLevel();
+}
Index: code/branches/core2/src/orxonox/core/CoreSettings.h
===================================================================
--- code/branches/core2/src/orxonox/core/CoreSettings.h	(revision 1036)
+++ code/branches/core2/src/orxonox/core/CoreSettings.h	(revision 1036)
@@ -0,0 +1,73 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file CoreSettings.h
+    @brief Definition of the CoreSettings class.
+
+    The CoreSettings class is a singleton, only used to configure some variables
+    in the core through the config-file.
+*/
+
+#ifndef _CoreSettings_H__
+#define _CoreSettings_H__
+
+#include "OrxonoxClass.h"
+#include "OutputHandler.h"
+
+#include "CorePrereqs.h"
+
+namespace orxonox
+{
+    //! The CoreSettings class is a singleton, only used to configure some config-values.
+    class _CoreExport CoreSettings : public OrxonoxClass
+    {
+        public:
+            static CoreSettings& getInstance();
+            static bool& isCreatingCoreSettings();
+            void setConfigValues();
+
+            static int getSoftDebugLevel(OutputHandler::OutputDevice device = OutputHandler::LD_All);
+            static const std::string& getLanguage();
+            static void resetLanguage();
+
+        private:
+            void resetLanguageIntern();
+
+            CoreSettings();
+            CoreSettings(const CoreSettings& other) {}
+            virtual ~CoreSettings() {}
+
+            int softDebugLevel_;                            //!< The debug level
+            int softDebugLevelConsole_;                     //!< The debug level for the console
+            int softDebugLevelLogfile_;                     //!< The debug level for the logfile
+            int softDebugLevelShell_;                       //!< The debug level for the ingame shell
+            std::string language_;                          //!< The language
+    };
+}
+
+#endif /* _CoreSettings_H__ */
Index: code/branches/core2/src/orxonox/core/DebugLevel.cc
===================================================================
--- code/branches/core2/src/orxonox/core/DebugLevel.cc	(revision 1035)
+++ 	(revision )
@@ -1,109 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file DebugLevel.cc
-    @brief Implementation of the DebugLevel class.
-*/
-
-#include "DebugLevel.h"
-#include "CoreIncludes.h"
-#include "ConfigValueIncludes.h"
-
-namespace orxonox
-{
-    /**
-        @brief Constructor: Registers the object and sets the debug level.
-        @param A reference to a global variable, used to avoid an infinite recursion in getSoftDebugLevel()
-    */
-    DebugLevel::DebugLevel(bool& bReturnSoftDebugLevel)
-    {
-        RegisterRootObject(DebugLevel);
-        this->setConfigValues();
-        bReturnSoftDebugLevel = true;
-    }
-
-    /**
-        @brief Function to collect the SetConfigValue-macro calls.
-    */
-    void DebugLevel::setConfigValues()
-    {
-        SetConfigValue(softDebugLevelConsole_, 3).description("The maximal level of debug output shown in the console");
-        SetConfigValue(softDebugLevelLogfile_, 3).description("The maximal level of debug output shown in the logfile");
-        SetConfigValue(softDebugLevelShell_, 1).description("The maximal level of debug output shown in the ingame shell");
-
-        // softDebugLevel_ is the maximum of the 3 variables
-        this->softDebugLevel_ = this->softDebugLevelConsole_;
-        if (this->softDebugLevelLogfile_ > this->softDebugLevel_)
-            this->softDebugLevel_ = this->softDebugLevelLogfile_;
-        if (this->softDebugLevelShell_ > this->softDebugLevel_)
-            this->softDebugLevel_ = this->softDebugLevelShell_;
-    }
-
-    /**
-        @brief Static function that holds the singleton.
-    */
-    int DebugLevel::getSoftDebugLevel(OutputHandler::OutputDevice device)
-    {
-        static bool bCreatingSoftDebugLevelObject = true;   // Static variable - used to enhance the performance
-        static bool bReturnSoftDebugLevel = false;          // Static variable - used to avoid an infinite recursion
-        static DebugLevel* theOnlyDebugLevelObject = 0;     // Static variable - will contain a pointer to the only instance of the DebugLevel class
-
-        // If bReturnSoftDebugLevel is true, the instance of DebugLevel was created (it's set to true at the end of the constructor, call by reference)
-        if (bReturnSoftDebugLevel)
-        {
-            if (device == OutputHandler::LD_All)
-                return theOnlyDebugLevelObject->softDebugLevel_;
-            else if (device == OutputHandler::LD_Console)
-                return theOnlyDebugLevelObject->softDebugLevelConsole_;
-            else if (device == OutputHandler::LD_Logfile)
-                return theOnlyDebugLevelObject->softDebugLevelLogfile_;
-            else if (device == OutputHandler::LD_Shell)
-                return theOnlyDebugLevelObject->softDebugLevelShell_;
-        }
-
-        // If bCreatingSoftDebugLevelObject is true, we're just about to create an instance of the DebugLevel class
-        if (bCreatingSoftDebugLevelObject)
-        {
-            bCreatingSoftDebugLevelObject = false;
-            theOnlyDebugLevelObject = new DebugLevel(bReturnSoftDebugLevel);
-            return getSoftDebugLevel(device);
-        }
-
-        // Return a constant value while we're creating the object
-        return 2;
-    }
-}
-
-/**
-    @brief Returns the soft debug level, stored in the only existing instance of the DebugLevel class, configured in the config-file.
-    @return The soft debug level
-*/
-int getSoftDebugLevel()
-{
-    return orxonox::DebugLevel::getSoftDebugLevel();
-}
Index: code/branches/core2/src/orxonox/core/DebugLevel.h
===================================================================
--- code/branches/core2/src/orxonox/core/DebugLevel.h	(revision 1035)
+++ 	(revision )
@@ -1,69 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Fabian 'x3n' Landau
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file DebugLevel.h
-    @brief Definition of the DebugLevel class.
-
-    The DebugLevel class is a singleton, only used to configure the amount of debug
-    output (see Debug.h) into the console and the logfile (see OutputHandler.h).
-*/
-
-#ifndef _DebugLevel_H__
-#define _DebugLevel_H__
-
-#include "CorePrereqs.h"
-
-#include "OrxonoxClass.h"
-#include "OutputHandler.h"
-
-namespace orxonox
-{
-    //! The DebugLevel class is a singleton, only used to configure the amount of debug output.
-    class _CoreExport DebugLevel : public OrxonoxClass
-    {
-        template <class T>
-        friend class ClassIdentifier; // forward declaration because of the private destructor
-
-        public:
-            static int getSoftDebugLevel(OutputHandler::OutputDevice device = OutputHandler::LD_All);
-            void setConfigValues();
-
-        private:
-            explicit DebugLevel(bool& bReturnSoftDebugLevel);
-            DebugLevel(const DebugLevel& dl) {} // don't copy
-            virtual ~DebugLevel() {}            // don't delete
-
-            int softDebugLevel_;                            //!< The debug level
-            int softDebugLevelConsole_;                     //!< The debug level for the console
-            int softDebugLevelLogfile_;                     //!< The debug level for the logfile
-            int softDebugLevelShell_;                       //!< The debug level for the ingame shell
-            ConfigValueContainer* softDebugLevelContainer_; //!< The config value container for the debug level
-    };
-}
-
-#endif /* _DebugLevel_H__ */
Index: code/branches/core2/src/orxonox/core/Identifier.h
===================================================================
--- code/branches/core2/src/orxonox/core/Identifier.h	(revision 1035)
+++ code/branches/core2/src/orxonox/core/Identifier.h	(revision 1036)
@@ -113,7 +113,4 @@
             virtual void updateConfigValues() const = 0;
 
-            /** @brief Removes all objects of the corresponding class. */
-            virtual void removeObjects() const = 0;
-
             /** @brief Returns the name of the class the Identifier belongs to. @return The name */
             inline const std::string& getName() const { return this->name_; }
@@ -306,5 +303,4 @@
             ClassIdentifier<T>* registerClass(std::set<const Identifier*>* parents, const std::string& name, bool bRootClass);
             void addObject(T* object);
-            void removeObjects() const;
             void setName(const std::string& name);
             /** @brief Returns the list of all existing objects of this class. @return The list */
@@ -394,14 +390,4 @@
         COUT(5) << "*** ClassIdentifier: Added object to " << this->getName() << "-list." << std::endl;
         object->getMetaList().add(this->objects_, this->objects_->add(object));
-    }
-
-    /**
-        @brief Removes all objects of the corresponding class.
-    */
-    template <class T>
-    void ClassIdentifier<T>::removeObjects() const
-    {
-        for (Iterator<T> it = this->objects_->start(); it;)
-            delete *(it++);
     }
 
Index: code/branches/core2/src/orxonox/core/Language.cc
===================================================================
--- code/branches/core2/src/orxonox/core/Language.cc	(revision 1035)
+++ code/branches/core2/src/orxonox/core/Language.cc	(revision 1036)
@@ -28,12 +28,11 @@
 /**
     @file Language.cc
-    @brief Implementation of the Language and the LanguageEntry class.
+    @brief Implementation of the Language and the LanguageEntry classes.
 */
 
 #include <fstream>
 
-#include "CoreIncludes.h"
 #include "Language.h"
-#include "ConfigValueIncludes.h"
+#include "CoreSettings.h"
 
 namespace orxonox
@@ -48,6 +47,4 @@
     LanguageEntry::LanguageEntry(const std::string& fallbackEntry)
     {
-        RegisterRootObject(LanguageEntry);
-
         this->fallbackEntry_ = fallbackEntry;
         this->localisedEntry_ = fallbackEntry; // Set the localisation to the fallback entry, for the case that no translation gets assigned
@@ -92,6 +89,4 @@
     Language::Language()
     {
-        RegisterRootObject(Language);
-
         this->defaultLanguage_ = "default";
         this->defaultLocalisation_ = "ERROR: LANGUAGE ENTRY DOESN'T EXIST!";
@@ -102,15 +97,4 @@
 
     /**
-        @brief Function to collect the SetConfigValue-macro calls.
-    */
-    void Language::setConfigValues()
-    {
-        SetConfigValue(language_, this->defaultLanguage_).description("The language of the ingame text");
-
-        // Read the translation file after the language was configured
-        this->readTranslatedLanguageFile();
-    }
-
-    /**
         @brief Returns a reference to the only existing instance of the Language class and calls the setConfigValues() function.
         @return The reference to the only existing instance
@@ -118,16 +102,6 @@
     Language& Language::getLanguage()
     {
-        // Use static variables to avoid conflicts while executing this code before main()
-        static Language theOnlyLanguageObject = Language();
-        static bool bCreatingTheOnlyLanguageObject = true;
-
-        // This workaround is used to set a description of the own config value without creating an infinite recursion
-        if (bCreatingTheOnlyLanguageObject)
-        {
-            bCreatingTheOnlyLanguageObject = false;
-            theOnlyLanguageObject.setConfigValues();
-        }
-
-        return theOnlyLanguageObject;
+        static Language instance = Language();
+        return instance;
     }
 
@@ -267,15 +241,15 @@
     void Language::readTranslatedLanguageFile()
     {
-        COUT(4) << "Read translated language file (" << this->language_ << ")." << std::endl;
+        COUT(4) << "Read translated language file (" << CoreSettings::getLanguage() << ")." << std::endl;
 
         // Open the file
         std::ifstream file;
-        file.open(getFileName(this->language_).c_str(), std::fstream::in);
+        file.open(getFileName(CoreSettings::getLanguage()).c_str(), std::fstream::in);
 
         if (!file.is_open())
         {
             COUT(1) << "An error occurred in Language.cc:" << std::endl;
-            COUT(1) << "Error: Couldn't open file " << getFileName(this->language_) << " to read the translated language entries!" << std::endl;
-            ResetConfigValue(language_);
+            COUT(1) << "Error: Couldn't open file " << getFileName(CoreSettings::getLanguage()) << " to read the translated language entries!" << std::endl;
+            CoreSettings::resetLanguage();
             COUT(3) << "Info: Reset language to " << this->defaultLanguage_ << "." << std::endl;
             return;
@@ -308,5 +282,5 @@
                 else
                 {
-                    COUT(2) << "Warning: Invalid language entry \"" << lineString << "\" in " << getFileName(this->language_) << std::endl;
+                    COUT(2) << "Warning: Invalid language entry \"" << lineString << "\" in " << getFileName(CoreSettings::getLanguage()) << std::endl;
                 }
             }
@@ -335,7 +309,7 @@
 
         // Iterate through the list an write the lines into the file
-        for (Iterator<LanguageEntry> it = ObjectList<LanguageEntry>::start(); it; ++it)
-        {
-            file << it->getLabel() << "=" << it->getDefault() << std::endl;
+        for (std::map<std::string, LanguageEntry*>::const_iterator it = this->languageEntries_.begin(); it != this->languageEntries_.end(); ++it)
+        {
+            file << (*it).second->getLabel() << "=" << (*it).second->getDefault() << std::endl;
         }
 
Index: code/branches/core2/src/orxonox/core/Language.h
===================================================================
--- code/branches/core2/src/orxonox/core/Language.h	(revision 1035)
+++ code/branches/core2/src/orxonox/core/Language.h	(revision 1036)
@@ -49,5 +49,4 @@
 
 #include "CorePrereqs.h"
-#include "OrxonoxClass.h"
 
 
@@ -65,5 +64,5 @@
     // ###############################
     //! The LanguageEntry class stores the default- and the translated string of a given entry in the language file.
-    class _CoreExport LanguageEntry : public OrxonoxClass
+    class _CoreExport LanguageEntry
     {
         public:
@@ -112,12 +111,10 @@
     // ###############################
     //! The Language class manges the language files and entries and stores the LanguageEntry objects in a map.
-    class _CoreExport Language : public OrxonoxClass
+    class _CoreExport Language
     {
-        template <class T>
-        friend class ClassIdentifier; // forward declaration because of the private destructor
+        friend class CoreSettings;
 
         public:
             static Language& getLanguage();
-            void setConfigValues();
             void addEntry(const LanguageEntryLabel& label, const std::string& entry);
             const std::string& getLocalisation(const LanguageEntryLabel& label) const;
@@ -134,5 +131,4 @@
             LanguageEntry* createEntry(const LanguageEntryLabel& label, const std::string& entry);
 
-            std::string language_;                                  //!< The configured language
             std::string defaultLanguage_;                           //!< The default language
             std::string defaultLocalisation_;                       //!< The returned string, if an entry unavailable entry is requested
Index: code/branches/core2/src/orxonox/core/OutputHandler.cc
===================================================================
--- code/branches/core2/src/orxonox/core/OutputHandler.cc	(revision 1035)
+++ code/branches/core2/src/orxonox/core/OutputHandler.cc	(revision 1036)
@@ -31,5 +31,5 @@
 */
 
-#include "DebugLevel.h"
+#include "CoreSettings.h"
 #include "OutputHandler.h"
 #include "ConsoleCommand.h"
@@ -77,5 +77,5 @@
     int OutputHandler::getSoftDebugLevel(OutputHandler::OutputDevice device)
     {
-        return DebugLevel::getSoftDebugLevel(device);
+        return CoreSettings::getSoftDebugLevel(device);
     }
 