Index: code/trunk/src/orxonox/tools/BillboardSet.cc
===================================================================
--- code/trunk/src/orxonox/tools/BillboardSet.cc	(revision 1032)
+++ code/trunk/src/orxonox/tools/BillboardSet.cc	(revision 1039)
@@ -27,4 +27,5 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "BillboardSet.h"
 
 #include <sstream>
@@ -34,6 +35,4 @@
 #include "GraphicsEngine.h"
 #include "util/Math.h"
-
-#include "BillboardSet.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/tools/BillboardSet.h
===================================================================
--- code/trunk/src/orxonox/tools/BillboardSet.h	(revision 1032)
+++ code/trunk/src/orxonox/tools/BillboardSet.h	(revision 1039)
@@ -1,10 +1,37 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #ifndef _BillboardSet_H__
 #define _BillboardSet_H__
+
+#include "OrxonoxPrereqs.h"
 
 #include <string>
 
 #include <OgreBillboardSet.h>
-
-#include "../OrxonoxPrereqs.h"
 #include "util/Math.h"
 
Index: code/trunk/src/orxonox/tools/Light.cc
===================================================================
--- code/trunk/src/orxonox/tools/Light.cc	(revision 1032)
+++ code/trunk/src/orxonox/tools/Light.cc	(revision 1039)
@@ -1,3 +1,31 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #include "OrxonoxStableHeaders.h"
+#include "Light.h"
 
 #include <sstream>
@@ -6,6 +34,4 @@
 
 #include "GraphicsEngine.h"
-
-#include "Light.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/tools/Light.h
===================================================================
--- code/trunk/src/orxonox/tools/Light.h	(revision 1032)
+++ code/trunk/src/orxonox/tools/Light.h	(revision 1039)
@@ -1,10 +1,37 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #ifndef _Light_H__
 #define _Light_H__
+
+#include "OrxonoxPrereqs.h"
 
 #include <string>
 
 #include <OgreLight.h>
-
-#include "../OrxonoxPrereqs.h"
 
 #include "util/Math.h"
Index: code/trunk/src/orxonox/tools/Mesh.cc
===================================================================
--- code/trunk/src/orxonox/tools/Mesh.cc	(revision 1032)
+++ code/trunk/src/orxonox/tools/Mesh.cc	(revision 1039)
@@ -27,4 +27,5 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "Mesh.h"
 
 #include <sstream>
@@ -33,6 +34,4 @@
 
 #include "GraphicsEngine.h"
-
-#include "Mesh.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/tools/Mesh.h
===================================================================
--- code/trunk/src/orxonox/tools/Mesh.h	(revision 1032)
+++ code/trunk/src/orxonox/tools/Mesh.h	(revision 1039)
@@ -1,10 +1,37 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      ...
+ *   Co-authors:
+ *      ...
+ *
+ */
+
 #ifndef _Mesh_H__
 #define _Mesh_H__
+
+#include "OrxonoxPrereqs.h"
 
 #include <string>
 
 #include <OgreEntity.h>
-
-#include "../OrxonoxPrereqs.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/tools/Timer.cc
===================================================================
--- code/trunk/src/orxonox/tools/Timer.cc	(revision 1032)
+++ code/trunk/src/orxonox/tools/Timer.cc	(revision 1039)
@@ -27,7 +27,7 @@
 
 #include "OrxonoxStableHeaders.h"
+#include "Timer.h"
 
 #include "core/CoreIncludes.h"
-#include "Timer.h"
 
 namespace orxonox
Index: code/trunk/src/orxonox/tools/Timer.h
===================================================================
--- code/trunk/src/orxonox/tools/Timer.h	(revision 1032)
+++ code/trunk/src/orxonox/tools/Timer.h	(revision 1039)
@@ -58,5 +58,6 @@
 #define _Timer_H__
 
-#include "../OrxonoxPrereqs.h"
+#include "OrxonoxPrereqs.h"
+
 #include "core/Tickable.h"
 